Subject: bug#51763: 27.2; Displaying many images take all memory

From: Stefan Kangas <[email-masked]>
Date: Thu, 11 Nov 2021 20:03:38 -0800

Lars Ingebrigtsen <[email-masked]> writes:

> The question is then how to tune it -- if it's mistuned, it may result
> in catastrophic thrashing if you're showing a buffer with a gazillion
> images...

I don't think we evict images from the cache if they are being displayed
though, do we?  I imagine that we would evict them if they haven't been
displayed for more than N seconds *and* we are above the max memory
threshold.  Where N is some new variable or constant smaller than
'image-cache-eviction-delay'.